ibase_free_result
ibase_maintain_db
Firebird/InterBase Functions
PHP Manual

# ibase_gen_id

(PHP 5)

ibase_gen_id — Increments the named generator and returns its new value

### Description

mixed ibase_gen_id ( string `$generator` [, int `$increment` = 1 [, resource `$link_identifier` = `NULL` ]] )
Warning

This function is currently not documented; only its argument list is available.

### Return Values

Returns new generator value as integer, or as string if the value is too big.

ibase_free_result
ibase_maintain_db
Firebird/InterBase Functions
PHP Manual